//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 2 lights, 3 textures and 18 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  Moray V3.0 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 03/26/1998    (26.03.1998)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment
/*
global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <-74.383, 97.950, 25.172>
  direction <0.0,     0.0,  1.8317>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Light001
  <-23.555, 4.302, 25.804>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light1
  <9.185, -11.755, 34.472>
  color rgb <1.000, 1.000, 1.000>
}

*/
//
// ********  TEXTURES  *******
//

#include "gravjet1.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

#declare FrontHsg = difference {
  superellipsoid { // SuperQFrontHsg
    <0.25, 0.25>
    scale <13.5, 14.849558, 4.93598>
    rotate <180.0, 0.0, 180.0>
    translate  <0.0, -6.920444, 4.854622>
    texture {
      BLUE_METAL
      // Transform to world space
      translate <0.000000, -7.527708, 0.000000>
      scale <1.0/1.000000, 1.0/1.289527, 1.0/1.000000>
    }
  }
  box { // FrontHole
    <-1, -1, -1>, <1, 1, 1>
    scale <11.632263, 11.283079, 2.924233>
    translate  <0.0, -12.95668, 4.945036>
		texture { FlatBlack }
  }
  scale <1.0, 1.289527, 1.0>
  translate  7.527708*y
}
#declare RearHsg = difference {
  superellipsoid { // SuperQ2RearHsg
    <0.25, 0.25>
    scale <13.5, 19.445423, 5.887386>
    translate  <0.0, 18.28292, 5.864245>
    texture {
      BLUE_METAL
    }
  }
  box { // RearHole
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DarkBlack
    }
    scale <11.632263, 14.451469, 4.20214>
    translate  <0.0, 26.398021, 5.903466>
  }
}
#declare RawFinGroup = union {
  box { // FinBasic4
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 11.248419, 2.294303>
    translate  <-3.5, -7.414501, 10.628543>
  }
  box { // FinBasic2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 11.248419, 2.294303>
    translate  <7.0, -7.414501, 10.628543>
  }
  box { // FinBasic1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 11.248419, 2.294303>
    translate  <3.5, -7.414501, 10.628543>
  }
  box { // FinBasic3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 11.248419, 2.294303>
    translate  <10.5, -7.414501, 10.628543>
  }
  box { // FinBasic5
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 11.248419, 2.294303>
    translate  <-7.0, -7.414501, 10.628543>
  }
  box { // FinBasic6
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 11.248419, 2.294303>
    translate  <-10.5, -7.414501, 10.628543>
  }
  box { // FinBasic
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 11.248419, 2.294303>
    translate  <0.0, -7.414501, 10.628543>
  }
}
#declare TopFins = difference {
  object { RawFinGroup }
  box { // CutoffAngle
    <-1, -1, -1>, <1, 1, 1>
    scale <11.590528, 2.508347, 6.212495>
    rotate -53.100609*x
    translate  <0.0, -18.346465, 13.021262>
  }
  translate  7.961999*y
}
#declare EngineHousing = union {
  object { FrontHsg }
  object { RearHsg }
  object { TopFins }
  texture {
    BLUE_METAL
  }
}
#declare SphereSpar = union {
  sphere { // Sphere001
    <0,0,0>,1
    scale 3.0
  }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1
    scale <3.0, 3.0, 13.0>
    rotate -90.0*x
  }
  texture {
    Chrome1
  }
  scale <3.937897, 0.901926, 0.405091>
  translate  <0.0, -19.406392, 5.06534>
}
#declare GravJet1 =
union { // GravJet
  object { EngineHousing }
  object { SphereSpar }
  box { // TopExhaustFlap
    <-1, -1, -1>, <1, 1, 1>
    scale <10.247823, 5.150952, 0.186355>
    rotate -11.853095*x
    translate  <0.0, 39.318741, 9.454946>
  }
  box { // BottomExhaustFlap
    <-1, -1, -1>, <1, 1, 1>
    scale <-10.247823, -3.347373, -0.2796>
    rotate <-7.315763, 0.0, -180.0>
    translate  <0.0, 37.12796, 1.805039>
  }
  texture {
    BLUE_METAL
  }
}






